Ubuntu

notification text duplicated when a same contact connects twice

Reported by Sebastien Bacher on 2009-04-15
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pidgin-libnotify (Ubuntu)
Low
Unassigned
Jaunty
Low
Unassigned

Bug Description

Binary package hint: pidgin-libnotify

* configure an account
* add the same "Username" contact for 2 different protocols there
* when the contact goes online you get 1 bubble "username is online" and then one
"username
is online
is online"

summary: - notification text duplicated when same contact connection twice
+ notification text duplicated when a same contact connects twice
Ted Gould (ted) wrote :

Debdiff to fix this and a couple other bugs while I was at it. Forgot to make myself a bug watch for pidgin-libnotify... oops.

pidgin-libnotify (0.14-1ubuntu9) UNRELEASED; urgency=low

  * /debian/patches/indicate.patch:
    * Making it so that no append hint is sent on connection status
      messages. (LP: #361800)
    * Setting the default icon to match the notify-osd specification
      if there is no better icon available. (LP: #356979)
    * Making the login timeout 60 seconds instead of 15 so that the
      indicator applet doesn't flicker.
    * Changing the logic slightly so that if we don't have a GUI window
      then we don't check for focus. We only block notifications/indicators
      we we both have a GUI and have focus. (LP: #351545)

 -- Ted Gould <email address hidden> Wed, 15 Apr 2009 11:25:44 -0500

Sebastien Bacher (seb128) wrote :

thanks ted, milestone for jaunty updates I doubt that will justify a jaunty freeze break now

Changed in pidgin-libnotify (Ubuntu):
importance: Undecided → Low
milestone: none → jaunty-updates
status: New → Fix Committed
status: Fix Committed → Triaged
Ted Gould (ted) wrote :

Hello,

I would like to get a fix for this as a Jaunty SRU when the Jaunty updates archive opens after the release. I have built a package of a fix, could the reporters on this bug please confirm whether or not this updated package fixes the issue?

  https://launchpad.net/~ted-gould/+archive/bugfix

Thank you.
Ted

Sebastien Bacher (seb128) wrote :

the change has been uploaded and is waiting on ubuntu-sru review now

Changed in pidgin-libnotify (Ubuntu Jaunty):
status: Triaged → Fix Committed
Martin Pitt (pitti) wrote :

Accepted pidgin-libnotify into jaunty-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pidgin-libnotify (Ubuntu):
milestone: jaunty-updates → none
tags: added: verification-needed
Martin Pitt (pitti) wrote :

I removed this from jaunty-proposed. It didn't get any feedback, it is still not fixed in karmic, and bug 351545 is verification-failed.

2009-09-09 09:58:33 INFO Removing candidates:
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty amd64
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty armel
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty hppa
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty i386
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty ia64
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty lpia
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty powerpc
2009-09-09 09:58:33 INFO pidgin-libnotify 0.14-1ubuntu9 in jaunty sparc
2009-09-09 09:58:33 INFO Removed-by: Martin Pitt
2009-09-09 09:58:33 INFO Comment: unverified/failed SRU
2009-09-09 09:58:33 INFO 9 packages successfully removed.
2009-09-09 09:58:33 INFO Transaction committed.

Changed in pidgin-libnotify (Ubuntu Jaunty):
status: Fix Committed → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin-libnotify - 0.14-1ubuntu10

---------------
pidgin-libnotify (0.14-1ubuntu10) karmic; urgency=low

  * Adding in blacklist support
  * Trying to fix IRC first messages by using an idle function
    to wait for the conversation to get built.
  * Changing black list to be a plugin preference.
  * Adding checking for the server
  * /debian/patches/indicate.patch:
    * Updating to use the libindicate v2 interface (LP: #424487 and
      LP: #424491)
    * Merging in Ken Vandine's patch to make the Pidgin window always
      rise on click from the indicator applet. (LP: #354026)
    * Starting a blacklist for common IRC server nicks. (LP: #362660)
    * Making it so that no append hint is sent on connection status
      messages. (LP: #361800)
    * Setting the default icon to match the notify-osd specification
      if there is no better icon available. (LP: #356979)
    * Making the login timeout 60 seconds instead of 15 so that the
      indicator applet doesn't flicker.
    * Changing the logic slightly so that if we don't have a GUI window
      then we don't check for focus. We only block notifications/indicators
      we we both have a GUI and have focus. (LP: #351545)
  * Adding debian/patches/indicate-autotools.patch changes to built
    files from above patch.
  * debian/control:
    * Increasing libindicate dependency to 0.2.0
    * Adding a build dependency on libindicate-gtk-dev

 -- Ted Gould <email address hidden> Wed, 16 Sep 2009 14:10:37 -0500

Changed in pidgin-libnotify (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments